gtkmm: Gtk::ScrolledWindow Class Reference

gtkmm 4.2.0

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gtk::ScrolledWindow Class Reference
Widgets | Container Widgets

Adds scrollbars to its child widget. More...

`#include <gtkmm/scrolledwindow.h>`

Inheritance diagram for Gtk::ScrolledWindow:
[legend]

## Public Member Functions
| ScrolledWindow (ScrolledWindow&& src) noexcept
ScrolledWindow& | operator= (ScrolledWindow&& src) noexcept
| ScrolledWindow (const ScrolledWindow&)=delete
ScrolledWindow& | operator= (const ScrolledWindow&)=delete
| ~ScrolledWindow () noexcept override
GtkScrolledWindow* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkScrolledWindow* | gobj () const
| Provides access to the underlying C GObject. More...
| ScrolledWindow ()
void | set_hadjustment (const Glib::RefPtr< Adjustment >& hadjustment)
| Sets the `GtkAdjustment` for the horizontal scrollbar. More...
void | set_vadjustment (const Glib::RefPtr< Adjustment >& vadjustment)
| Sets the `GtkAdjustment` for the vertical scrollbar. More...
Glib::RefPtr< Adjustment > | get_hadjustment ()
| Returns the horizontal scrollbar’s adjustment. More...
Glib::RefPtr< const Adjustment > | get_hadjustment () const
| Returns the horizontal scrollbar’s adjustment. More...
Glib::RefPtr< Adjustment > | get_vadjustment ()
| Returns the vertical scrollbar’s adjustment. More...
Glib::RefPtr< const Adjustment > | get_vadjustment () const
| Returns the vertical scrollbar’s adjustment. More...
void | set_policy (PolicyType hscrollbar_policy, PolicyType vscrollbar_policy)
| Sets the scrollbar policy for the horizontal and vertical scrollbars. More...
void | get_policy (PolicyType& hscrollbar_policy, PolicyType& vscrollbar_policy) const
| Retrieves the current policy values for the horizontal and vertical scrollbars. More...
void | set_placement (CornerType window_placement)
| Sets the placement of the contents with respect to the scrollbars for the scrolled window. More...
void | unset_placement ()
| Unsets the placement of the contents with respect to the scrollbars. More...
CornerType | get_placement () const
| Gets the placement of the contents with respect to the scrollbars. More...
void | set_has_frame (bool has_frame=true)
| Changes the frame drawn around the contents of scrolled_window. More...
bool | get_has_frame () const
| Gets whether the scrolled window draws a frame. More...
Scrollbar* | get_vscrollbar ()
| Returns the vertical scrollbar of scrolled_window. More...
const Scrollbar* | get_vscrollbar () const
| Returns the vertical scrollbar of scrolled_window. More...
Scrollbar* | get_hscrollbar ()
| Returns the horizontal scrollbar of scrolled_window. More...
const Scrollbar* | get_hscrollbar () const
| Returns the horizontal scrollbar of scrolled_window. More...
int | get_min_content_width () const
| Gets the minimum content width of scrolled_window. More...
void | set_min_content_width (int width)
| Sets the minimum width that scrolled_window should keep visible. More...
int | get_min_content_height () const
| Gets the minimal content height of scrolled_window. More...
void | set_min_content_height (int height)
| Sets the minimum height that scrolled_window should keep visible. More...
void | set_kinetic_scrolling (bool kinetic_scrolling=true)
| Turns kinetic scrolling on or off. More...
bool | get_kinetic_scrolling () const
| Returns the specified kinetic scrolling behavior. More...
void | set_overlay_scrolling (bool overlay_scrolling=true)
| Enables or disables overlay scrolling for this scrolled window. More...
bool | get_overlay_scrolling () const
| Returns whether overlay scrolling is enabled for this scrolled window. More...
void | set_max_content_width (int width)
| Sets the maximum width that scrolled_window should keep visible. More...
int | get_max_content_width () const
| Returns the maximum content width set. More...
void | set_max_content_height (int height)
| Sets the maximum height that scrolled_window should keep visible. More...
int | get_max_content_height () const
| Returns the maximum content height set. More...
void | set_propagate_natural_width (bool propagate=true)
| Sets whether the natural width of the child should be calculated and propagated through the scrolled window’s requested natural width. More...
bool | get_propagate_natural_width () const
| Reports whether the natural width of the child will be calculated and propagated through the scrolled window’s requested natural width. More...
void | set_propagate_natural_height (bool propagate=true)
| Sets whether the natural height of the child should be calculated and propagated through the scrolled window’s requested natural height. More...
bool | get_propagate_natural_height () const
| Reports whether the natural height of the child will be calculated and propagated through the scrolled window’s requested natural height. More...
void | set_child (Widget& child)
| Sets the child widget of scrolled_window. More...
void | unset_child ()
Widget* | get_child ()
| Gets the child widget of scrolled_window. More...
const Widget* | get_child () const
| Gets the child widget of scrolled_window. More...
Glib::SignalProxy< void(Gtk::PositionType)> | signal_edge_overshot ()
Glib::SignalProxy< void(Gtk::PositionType)> | signal_edge_reached ()
Glib::PropertyProxy< Glib::RefPtr< Adjustment > > | property_hadjustment ()
| The GtkAdjustment for the horizontal position. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Adjustment > > | property_hadjustment () const
| The GtkAdjustment for the horizontal position. More...
Glib::PropertyProxy< Glib::RefPtr< Adjustment > > | property_vadjustment ()
| The GtkAdjustment for the vertical position. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Adjustment > > | property_vadjustment () const
| The GtkAdjustment for the vertical position. More...
Glib::PropertyProxy< PolicyType > | property_hscrollbar_policy ()
| When the horizontal scrollbar is displayed. More...
Glib::PropertyProxy_ReadOnly< PolicyType > | property_hscrollbar_policy () const
| When the horizontal scrollbar is displayed. More...
Glib::PropertyProxy< PolicyType > | property_vscrollbar_policy ()
| When the vertical scrollbar is displayed. More...
Glib::PropertyProxy_ReadOnly< PolicyType > | property_vscrollbar_policy () const
| When the vertical scrollbar is displayed. More...
Glib::PropertyProxy< CornerType > | property_window_placement ()
| Where the contents are located with respect to the scrollbars. More...
Glib::PropertyProxy_ReadOnly< CornerType > | property_window_placement () const
| Where the contents are located with respect to the scrollbars. More...
Glib::PropertyProxy< bool > | property_has_frame ()
| Whether to draw a frame around the contents. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_frame () const
| Whether to draw a frame around the contents. More...
Glib::PropertyProxy< int > | property_min_content_width ()
| The minimum content width of scrolled_window. More...
Glib::PropertyProxy_ReadOnly< int > | property_min_content_width () const
| The minimum content width of scrolled_window. More...
Glib::PropertyProxy< int > | property_min_content_height ()
| The minimum content height of scrolled_window. More...
Glib::PropertyProxy_ReadOnly< int > | property_min_content_height () const
| The minimum content height of scrolled_window. More...
Glib::PropertyProxy< bool > | property_kinetic_scrolling ()
| Whether kinetic scrolling is enabled or not. More...
Glib::PropertyProxy_ReadOnly< bool > | property_kinetic_scrolling () const
| Whether kinetic scrolling is enabled or not. More...
Glib::PropertyProxy< bool > | property_overlay_scrolling ()
| Whether overlay scrolling is enabled or not. More...
Glib::PropertyProxy_ReadOnly< bool > | property_overlay_scrolling () const
| Whether overlay scrolling is enabled or not. More...
Glib::PropertyProxy< int > | property_max_content_width ()
| The maximum content width of scrolled_window. More...
Glib::PropertyProxy_ReadOnly< int > | property_max_content_width () const
| The maximum content width of scrolled_window. More...
Glib::PropertyProxy< int > | property_max_content_height ()
| The maximum content height of scrolled_window. More...
Glib::PropertyProxy_ReadOnly< int > | property_max_content_height () const
| The maximum content height of scrolled_window. More...
Glib::PropertyProxy< bool > | property_propagate_natural_width ()
| Whether the natural width of the child should be calculated and propagated through the scrolled window’s requested natural width. More...
Glib::PropertyProxy_ReadOnly< bool > | property_propagate_natural_width () const
| Whether the natural width of the child should be calculated and propagated through the scrolled window’s requested natural width. More...
Glib::PropertyProxy< bool > | property_propagate_natural_height ()
| Whether the natural height of the child should be calculated and propagated through the scrolled window’s requested natural height. More...
Glib::PropertyProxy_ReadOnly< bool > | property_propagate_natural_height () const
| Whether the natural height of the child should be calculated and propagated through the scrolled window’s requested natural height. More...
Glib::PropertyProxy< Widget* > | property_child ()
| The child widget. More...
Glib::PropertyProxy_ReadOnly< Widget* > | property_child () const
| The child widget. More...
Public Member Functions inherited from Gtk::Widget
| Widget (Widget&& src) noexcept
Widget& | operator= (Widget&& src) noexcept
| Widget (const Widget&)=delete
Widget& | operator= (const Widget&)=delete
| ~Widget () noexcept override
| Destroys the widget. More...
GtkWidget* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkWidget* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< ConstraintTarget > | make_refptr_constrainttarget ()
| Converts this widget to a reference counted Gtk::ConstraintTarget. More...
Glib::RefPtr< const ConstraintTarget > | make_refptr_constrainttarget () const
| Converts this widget to a reference counted Gtk::ConstraintTarget. More...
void | show ()
| Flags a widget to be displayed. More...
void | hide ()
| Reverses the effects of show(). More...
void | queue_draw ()
| Schedules this widget to be redrawn in paint phase of the current or the next frame. More...
void | queue_resize ()
| Flags a widget to have its size renegotiated. More...
void | queue_allocate ()
| Flags the widget for a rerun of the GtkWidgetClass::size_allocate function. More...
void | size_allocate (const Allocation& allocation, int baseline)
| Allocates widget with a transformation that translates the origin to the position in allocation. More...
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout. More...
void | measure (Orientation orientation, int for_size, int& minimum, int& natural, int& minimum_baseline, int& natural_baseline) const
| Measures widget in the orientation orientation and for the given for_size. More...
void | get_preferred_size (Requisition& minimum_size, Requisition& natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget’s preference for height-for-width management. More...
void | set_layout_manager (const Glib::RefPtr< LayoutManager >& layout_manager)
| Sets the layout manager delegate instance that provides an implementation for measuring and allocating the children of widget. More...
void | unset_layout_manager ()
| Undoes the effect of a previous call to set_layout_manager(). More...
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the layout manager used by widget. More...
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the layout manager used by widget. More...
bool | mnemonic_activate (bool group_cycling)
| Emits the `GtkWidget`::mnemonic-activate signal. More...
bool | activate ()
| For widgets that can be “activated” (buttons, menu items, etc.) this function activates them. More...
void | set_can_focus (bool can_focus=true)
| Specifies whether the input focus can enter the widget or any of its children. More...
bool | get_can_focus () const
| Determines whether the input focus can enter widget or any of its children. More...
void | set_focusable (bool focusable=true)
| Specifies whether widget can own the input focus. More...
bool | get_focusable () const
| Determines whether widget can own the input focus. More...
bool | has_focus () const
| Determines if the widget has the global input focus. More...
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel. More...
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus. More...
bool | grab_focus ()
| Causes widget to have the keyboard focus for the `GtkWindow` it's inside. More...
void | set_focus_on_click (bool focus_on_click=true)
| Sets whether the widget should grab focus when it is clicked with the mouse. More...
bool | get_focus_on_click () const
| Returns whether the widget should grab focus when it is clicked with the mouse. More...
void | set_can_target (bool can_target=true)
| Sets whether widget can be the target of pointer events. More...
bool | get_can_target () const
| Queries whether widget can be the target of pointer events. More...
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel. More...
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default. More...
bool | get_receives_default () const
| Determines whether widget is always treated as the default widget within its toplevel when it has the focus, even if another widget is the default. More...
void | set_name (const Glib::ustring& name)
| Sets a widgets name. More...
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget. More...
void | set_state_flags (StateFlags flags, bool clear=true)
| Turns on flag values in the current widget state. More...
void | unset_state_flags (StateFlags flags)
| Turns off flag values for the current widget state. More...
StateFlags | get_state_flags () const
| Returns the widget state as a flag set. More...
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget. More...
bool | get_sensitive () const
| Returns the widget’s sensitivity. More...
bool | is_sensitive () const
| Returns the widget’s effective sensitivity. More...
void | set_visible (bool visible=true)
| Sets the visibility state of widget. More...
bool | get_visible () const
| Determines whether the widget is visible. More...
bool | is_visible () const
| Determines whether the widget and all its parents are marked as visible. More...
bool | is_drawable () const
| Determines whether widget can be drawn to. More...
bool | get_realized () const
| Determines whether widget is realized. More...
bool | get_mapped () const
| Whether the widget is mapped. More...
void | set_child_visible (bool visible=true)
| Sets whether widget should be mapped along with its parent. More...
bool | get_child_visible () const
| Gets the value set with set_child_visible(). More...
int | get_allocated_width () const
| Returns the width that has currently been allocated to widget. More...
int | get_allocated_height () const
| Returns the height that has currently been allocated to widget. More...
int | get_allocated_baseline () const
| Returns the baseline that has currently been allocated to widget. More...
Allocation | get_allocation () const
| Retrieves the widget’s location. More...
int | get_width () const
| Returns the content width of the widget. More...
int | get_height () const
| Returns the content height of the widget. More...
int | get_size (Orientation orientation) const
| Returns the content width or height of the widget. More...
Widget* | get_parent ()
| Returns the parent widget of widget. More...
const Widget* | get_parent () const
| Returns the parent widget of widget. More...
Root* | get_root ()
| Returns the `GtkRoot` widget of widget. More...
const Root* | get_root () const
| Returns the `GtkRoot` widget of widget. More...
Native* | get_native ()
| Returns the `GtkNative` widget that contains widget. More...
const Native* | get_native () const
| Returns the `GtkNative` widget that contains widget. More...
bool | child_focus (DirectionType direction)
| Called by widgets as the user moves around the window using keyboard shortcuts. More...
bool | keynav_failed (DirectionType direction)
| Emits the `::keynav-failed` signal on the widget. More...
void | error_bell ()
| Notifies the user about an input-related error on this widget. More...
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget. More...
void | get_size_request (int& width, int& height) const
| Gets the size request that was explicitly set for the widget using set_size_request(). More...
void | set_opacity (double opacity)
| Request the widget to be rendered partially transparent. More...
double | get_opacity () const
| #Fetches the requested opacity for this widget. More...
void | set_overflow (Overflow overflow)
| Sets how widget treats content that is drawn outside the widget's content area. More...
Overflow | get_overflow () const
| Returns the widgets overflow value. More...
Widget* | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type. More...
const Widget* | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type. More...
int | get_scale_factor () const
| Retrieves the internal scale factor that maps from window coordinates to the actual device pixels. More...
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the `GdkDisplay` for the toplevel window associated with this widget. More...
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the `GdkDisplay` for the toplevel window associated with this widget. More...
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for this widget. More...
Glib::RefPtr< Gdk::Clipboard > | get_clipboard ()
| Gets the clipboard object for widget. More...
Glib::RefPtr< const Gdk::Clipboard > | get_clipboard () const
| Gets the clipboard object for widget. More...
Glib::RefPtr< Gdk::Clipboard > | get_primary_clipboard ()
| Gets the primary clipboard of widget. More...
Glib::RefPtr< const Gdk::Clipboard > | get_primary_clipboard () const
| Gets the primary clipboard of widget. More...
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space. More...
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space. More...
bool | get_hexpand_set () const
| Gets whether set_hexpand() has been used to explicitly set the expand flag on this widget. More...
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag will be used. More...
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space. More...
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space. More...
bool | get_vexpand_set () const
| Gets whether set_vexpand() has been used to explicitly set the expand flag on this widget. More...
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag will be used. More...
bool | compute_expand (Orientation orientation)
| Computes whether a container should give this widget extra space when possible. More...
void | set_expand (bool expand=true)
| Sets whether the widget would like any available extra space in both directions. More...
Align | get_halign () const
| Gets the horizontal alignment of widget. More...
void | set_halign (Align align)
| Sets the horizontal alignment of widget. More...
Align | get_valign () const
| Gets the vertical alignment of widget. More...
void | set_valign (Align align)
| Sets the vertical alignment of widget. More...
int | get_margin_start () const
| Gets the start margin of widget. More...
void | set_margin_start (int margin)
| Sets the start margin of widget. More...
int | get_margin_end () const
| Gets the end margin of widget. More...
void | set_margin_end (int margin)
| Sets the end margin of widget. More...
int | get_margin_top () const
| Gets the top margin of widget. More...
void | set_margin_top (int margin)
| Sets the top margin of widget. More...
int | get_margin_bottom () const
| Gets the bottom margin of widget. More...
void | set_margin_bottom (int margin)
| Sets the bottom margin of widget. More...
void | set_margin (int margin)
| Set all 4 margins to the same value. More...
bool | is_ancestor (Widget& ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers. More...
bool | translate_coordinates (Widget& dest_widget, double src_x, double src_y, double& dest_x, double& dest_y)
| Translate coordinates relative to src_widget’s allocation to coordinates relative to dest_widget’s allocations. More...
bool | contains (double x, double y) const
| Tests if the point at ( x, y) is contained in widget. More...
Widget* | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT)
| Finds the descendant of widget closest to the screen at the point ( x, y). More...
const Widget* | pick (double x, double y, PickFlags flags=PickFlags::DEFAULT) const
| Finds the descendant of widget closest to the screen at the point ( x, y). More...
void | add_controller (const Glib::RefPtr< EventController >& controller)
| Adds controller to widget so that it will receive events. More...
void | remove_controller (const Glib::RefPtr< EventController >& controller)
| Removes controller from widget, so that it doesn't process events anymore. More...
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new `PangoContext` with the appropriate font map, font options, font description, and base direction for drawing text for this widget. More...
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a `PangoContext` with the appropriate font map, font description, and base direction for this widget. More...
void | set_font_options (const Cairo::FontOptions& options)
| Sets the `cairo_font_options_t` used for Pango rendering in this widget. More...
void | unset_font_options ()
| Undoes the effect of previous calls to set_font_options(). More...
Cairo::FontOptions | get_font_options () const
| Returns the `cairo_font_options_t` used for Pango rendering. More...
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring& text)
| Creates a new `PangoLayout` with the appropriate font map, font description, and base direction for drawing text for this widget. More...
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget. More...
TextDirection | get_direction () const
| Gets the reading direction for a particular widget. More...
void | set_cursor (const Glib::RefPtr< Gdk::Cursor >& cursor)
| Sets the cursor to be shown when pointer devices point towards widget. More...
void | set_cursor (const Glib::ustring& name={})
| Sets a named cursor to be shown when pointer devices point towards the widget. More...
Glib::RefPtr< Gdk::Cursor > | get_cursor ()
| Queries the cursor set on widget. More...
Glib::RefPtr< const Gdk::Cursor > | get_cursor () const
| Queries the cursor set on widget. More...
std::vector< Widget* > | list_mnemonic_labels ()
| Returns the widgets for which this widget is the target of a mnemonic. More...
std::vector< const Widget* > | list_mnemonic_labels () const
| Returns the widgets for which this widget is the target of a mnemonic. More...
void | add_mnemonic_label (Widget& label)
| Adds a widget to the list of mnemonic labels for this widget. More...
void | remove_mnemonic_label (Widget& label)
| Removes a widget from the list of mnemonic labels for this widget. More...
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a drag movement has passed the GTK drag threshold. More...
Glib::RefPtr< Gdk::FrameClock > | get_frame_clock ()
| Obtains the frame clock for a widget. More...
Glib::RefPtr< const Gdk::FrameClock > | get_frame_clock () const
| Obtains the frame clock for a widget. More...
void | set_parent (Widget& parent)
| Sets parent as the parent widget of widget. More...
void | unparent ()
| Dissociate widget from its parent. More...
void | map ()
| Causes a widget to be mapped if it isn’t already. More...
void | unmap ()
| Causes a widget to be unmapped if it’s currently mapped. More...
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located. More...
void | set_tooltip_text (const Glib::ustring& text)
| Sets text as the contents of the tooltip. More...
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget. More...
void | set_tooltip_markup (const Glib::ustring& markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language. More...
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget. More...
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the `has-tooltip` property on widget to has_tooltip. More...
bool | get_has_tooltip () const
| Returns the current value of the `has-tooltip` property. More...
bool | in_destruction () const
| Returns whether the widget is currently being destroyed. More...
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to widget. More...
Glib::RefPtr< const StyleContext > | get_style_context () const
| Returns the style context associated to widget. More...
guint | add_tick_callback (const SlotTick& slot)
| Queues an animation frame update and adds a callback to be called before each frame. More...
void | remove_tick_callback (guint id)
| Removes a tick callback previously registered with add_tick_callback(). More...
void | insert_action_group (const Glib::ustring& name, const Glib::RefPtr< Gio::ActionGroup >& group)
| Inserts group into widget. More...
void | remove_action_group (const Glib::ustring& name)
| Removes a group from the widget. More...
bool | activate_action (const Glib::ustring& name, const Glib::VariantBase& args={})
| Looks up the action in the action groups associated with the widget and its ancestors, and activates it. More...
void | activate_default ()
| Activates the `default.activate` action from widget. More...
void | set_font_map (const Glib::RefPtr< Pango::FontMap >& font_map)
| Sets the font map to use for Pango rendering. More...
Glib::RefPtr< Pango::FontMap > | get_font_map ()
| Gets the font map of widget. More...
Glib::RefPtr< const Pango::FontMap > | get_font_map () const
| Gets the font map of widget. More...
Widget* | get_first_child ()
| Returns the widgets first child. More...
const Widget* | get_first_child () const
| Returns the widgets first child. More...
Widget* | get_last_child ()
| Returns the widgets last child. More...
const Widget* | get_last_child () const
| Returns the widgets last child. More...
Widget* | get_next_sibling ()
| Returns the widgets next sibling. More...
const Widget* | get_next_sibling () const
| Returns the widgets next sibling. More...
Widget* | get_prev_sibling ()
| Returns the widgets previous sibling. More...
const Widget* | get_prev_sibling () const
| Returns the widgets previous sibling. More...
Glib::RefPtr< Gio::ListModel > | observe_children ()
| Returns a `GListModel` to track the children of widget. More...
Glib::RefPtr< const Gio::ListModel > | observe_children () const
| Returns a `GListModel` to track the children of widget. More...
Glib::RefPtr< Gio::ListModel > | observe_controllers ()
| Returns a `GListModel` to track the [class Gtk.EventController]s of widget. More...
Glib::RefPtr< const Gio::ListModel > | observe_controllers () const
| Returns a `GListModel` to track the [class Gtk.EventController]s of widget. More...
void | insert_after (Widget& parent, const Widget& previous_sibling)
| Inserts the Widget into the child widget list of parent after previous_sibling. More...
void | insert_before (Widget& parent, const Widget& next_sibling)
| Inserts the Widget into the child widget list of parent before next_sibling. More...
void | insert_at_start (Widget& parent)
| Inserts the Widget at the beginning of the child widget list of parent. More...
void | insert_at_end (Widget& parent)
| Inserts the Widget at the end of the child widget list of parent. More...
void | snapshot_child (Widget& child, const Glib::RefPtr< Gtk::Snapshot >& snapshot)
| Snapshot the a child of widget. More...
bool | should_layout () const
| Returns whether widget should contribute to the measuring and allocation of its parent. More...
Glib::ustring | get_css_name () const
| Returns the CSS name that is used for self. More...
void | add_css_class (const Glib::ustring& css_class)
| Adds a style class to widget. More...
void | remove_css_class (const Glib::ustring& css_class)
| Removes a style from widget. More...
bool | has_css_class (const Glib::ustring& css_class) const
| Returns whether css_class is currently applied to widget. More...
std::vector< Glib::ustring > | get_css_classes () const
| Returns the list of style classes applied to widget. More...
void | set_css_classes (const std::vector< Glib::ustring >& classes)
| Will clear all style classes applied to widget and replace them with classes. More...
Glib::SignalProxy< void()> | signal_show ()
Glib::SignalProxy< void()> | signal_hide ()
Glib::SignalProxy< void()> | signal_map ()
| Emitted on mapping of a widget to the screen. More...
Glib::SignalProxy< void()> | signal_unmap ()
Glib::SignalProxy< void()> | signal_realize ()
| Emitted on realization of a widget. More...
Glib::SignalProxy< void()> | signal_unrealize ()
Glib::SignalProxy< void(Gtk::StateFlags)> | signal_state_flags_changed ()
Glib::SignalProxy< void(TextDirection)> | signal_direction_changed ()
Glib::SignalProxy< bool(bool)> | signal_mnemonic_activate ()
Glib::SignalProxy< bool(int, int, bool, const Glib::RefPtr< Tooltip >&)> | signal_query_tooltip ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget. More...
Glib::PropertyProxy_ReadOnly< Widget* > | property_parent () const
| The parent widget of this widget. More...
Glib::PropertyProxy_ReadOnly< Root* > | property_root () const
| The `GtkRoot` widget of the widget tree containing this widget. More...
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget. More...
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget. More...
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible. More...
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input. More...
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input. More...
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget or any of its descendents can accept the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget or any of its descendents can accept the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus. More...
Glib::PropertyProxy< bool > | property_can_target ()
| Whether the widget can receive pointer events. More...
Glib::PropertyProxy_ReadOnly< bool > | property_can_target () const
| Whether the widget can receive pointer events. More...
Glib::PropertyProxy< bool > | property_focus_on_click ()
| Whether the widget should grab focus when it is clicked with the mouse. More...
Glib::PropertyProxy_ReadOnly< bool > | property_focus_on_click () const
| Whether the widget should grab focus when it is clicked with the mouse. More...
Glib::PropertyProxy< bool > | property_focusable ()
| Whether this widget itself will accept the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_focusable () const
| Whether this widget itself will accept the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget. More...
Glib::PropertyProxy< bool > | property_receives_default ()
| Whether the widget will receive the default action when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| Whether the widget will receive the default action when it is focused. More...
Glib::PropertyProxy< Glib::RefPtr< Gdk::Cursor > > | property_cursor ()
| The cursor used by widget. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Cursor > > | property_cursor () const
| The cursor used by widget. More...
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Enables or disables the emission of the signal_query_tooltip() signal on widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Enables or disables the emission of the signal_query_tooltip() signal on widget. More...
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| Sets the text of tooltip to be the given string, which is marked up with Pango markup. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| Sets the text of tooltip to be the given string, which is marked up with Pango markup. More...
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| Sets the text of tooltip to be the given string. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| Sets the text of tooltip to be the given string. More...
Glib::PropertyProxy< Align > | property_halign ()
| How to distribute horizontal space if widget gets extra space. More...
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
| How to distribute horizontal space if widget gets extra space. More...
Glib::PropertyProxy< Align > | property_valign ()
| How to distribute vertical space if widget gets extra space. More...
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
| How to distribute vertical space if widget gets extra space. More...
Glib::PropertyProxy< int > | property_margin_start ()
| Margin on start of widget, horizontally. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
| Margin on start of widget, horizontally. More...
Glib::PropertyProxy< int > | property_margin_end ()
| Margin on end of widget, horizontally. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
| Margin on end of widget, horizontally. More...
Glib::PropertyProxy< int > | property_margin_top ()
| Margin on top side of widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Margin on top side of widget. More...
Glib::PropertyProxy< int > | property_margin_bottom ()
| Margin on bottom side of widget. More...
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Margin on bottom side of widget. More...
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether to expand horizontally. More...
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
| Whether to expand horizontally. More...
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the `hexpand` property. More...
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
| Whether to use the `hexpand` property. More...
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether to expand vertically. More...
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
| Whether to expand vertically. More...
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the `vexpand` property. More...
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
| Whether to use the `vexpand` property. More...
Glib::PropertyProxy< double > | property_opacity ()
| The requested opacity of the widget. More...
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
| The requested opacity of the widget. More...
Glib::PropertyProxy< Overflow > | property_overflow ()
| How content outside the widget's content area is treated. More...
Glib::PropertyProxy_ReadOnly< Overflow > | property_overflow () const
| How content outside the widget's content area is treated. More...
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
| The scale factor of the widget. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_css_name () const
| The name of this widget in the CSS tree. More...
Glib::PropertyProxy< std::vector< Glib::ustring > > | property_css_classes ()
| A list of css classes applied to this widget. More...
Glib::PropertyProxy_ReadOnly< std::vector< Glib::ustring > > | property_css_classes () const
| A list of css classes applied to this widget. More...
Glib::PropertyProxy< Glib::RefPtr< LayoutManager > > | property_layout_manager ()
| The `GtkLayoutManager` instance to use to compute the preferred size of the widget, and allocate its children. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The `GtkLayoutManager` instance to use to compute the preferred size of the widget, and allocate its children. More...
Public Member Functions inherited from Gtk::Object
| Object (Object&& src) noexcept
Object& | operator= (Object&& src) noexcept
| ~Object () noexcept override
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from Gtk::Accessible
| Accessible (Accessible&& src) noexcept
Accessible& | operator= (Accessible&& src) noexcept
| ~Accessible () noexcept override
GtkAccessible* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkAccessible* | gobj () const
| Provides access to the underlying C GObject. More...
Role | get_accessible_role () const
| Retrieves the `GtkAccessibleRole` for the given `GtkAccessible`. More...
void | update_state (State state, const Glib::ValueBase& value)
| Updates an accessible state. More...
void | update_property (Property property, const Glib::ValueBase& value)
| Updates an accessible property. More...
void | update_relation (Relation relation, const Glib::ValueBase& value)
| Updates an accessible relation. More...
void | reset_state (State state)
| Resets the accessible state to its default value. More...
void | reset_property (Property property)
| Resets the accessible property to its default value. More...
void | reset_relation (Relation relation)
| Resets the accessible relation to its default value. More...
Glib::PropertyProxy< Role > | property_accessible_role ()
| The accessible role of the given `GtkAccessible` implementation. More...
Glib::PropertyProxy_ReadOnly< Role > | property_accessible_role () const
| The accessible role of the given `GtkAccessible` implementation. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable&& src) noexcept
Buildable& | operator= (Buildable&& src) noexcept
| ~Buildable () noexcept override
GtkBuildable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkBuildable* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ustring | get_buildable_id () const
| Gets the ID of the buildable object. More...
Public Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget (ConstraintTarget&& src) noexcept
ConstraintTarget& | operator= (ConstraintTarget&& src) noexcept
| ~ConstraintTarget () noexcept override
GtkConstraintTarget* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkConstraintTarget* | gobj () const
| Provides access to the underlying C GObject. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets. More...
static TextDirection | get_default_direction ()
| Obtains the current default reading direction. More...
Static Public Member Functions inherited from Gtk::Accessible
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::ConstraintTarget
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Gtk::ScrolledWindow* | wrap (GtkScrolledWindow* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Widget
Gtk::Widget* | wrap (GtkWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Accessible
Glib::RefPtr< Gtk::Accessible > | wrap (GtkAccessible* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::ConstraintTarget
Glib::RefPtr< Gtk::ConstraintTarget > | wrap (GtkConstraintTarget* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gtk::Widget
using | SlotTick = sigc::slot< bool(const Glib::RefPtr< Gdk::FrameClock >&)>
| Callback type for adding a function to update animations. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from Gtk::Accessible
enum class | Role { ALERT , ALERT_DIALOG , BANNER , BUTTON , CAPTION , CELL , CHECKBOX , COLUMN_HEADER , COMBO_BOX , COMMAND , COMPOSITE , DIALOG , DOCUMENT , FEED , FORM , GENERIC , GRID , GRID_CELL , GROUP , HEADING , IMG , INPUT , LABEL , LANDMARK , LEGEND , LINK , LIST , LIST_BOX , LIST_ITEM , LOG , MAIN , MARQUEE , MATH , METER , MENU , MENU_BAR , MENU_ITEM , MENU_ITEM_CHECKBOX , MENU_ITEM_RADIO , NAVIGATION , NONE , NOTE , OPTION , PRESENTATION , PROGRESS_BAR , RADIO , RADIO_GROUP , RANGE , REGION , ROW , ROW_GROUP , ROW_HEADER , SCROLLBAR , SEARCH , SEARCH_BOX , SECTION , SECTION_HEAD , SELECT , SEPARATOR , SLIDER , SPIN_BUTTON , STATUS , STRUCTURE , SWITCH , TAB , TABLE , TAB_LIST , TAB_PANEL , TEXT_BOX , TIME , TIMER , TOOLBAR , TOOLTIP , TREE , TREE_GRID , TREE_ITEM , WIDGET , WINDOW }
| The accessible role for a `GtkAccessible` implementation. More...
enum class | State { BUSY , CHECKED , DISABLED , EXPANDED , HIDDEN , INVALID , PRESSED , SELECTED }
| The possible accessible states of a `GtkAccessible`. More...
enum class | Property { AUTOCOMPLETE , DESCRIPTION , HAS_POPUP , KEY_SHORTCUTS , LABEL , LEVEL , MODAL , MULTI_LINE , MULTI_SELECTABLE , ORIENTATION , PLACEHOLDER , READ_ONLY , REQUIRED , ROLE_DESCRIPTION , SORT , VALUE_MAX , VALUE_MIN , VALUE_NOW , VALUE_TEXT }
| The possible accessible properties of a `GtkAccessible`. More...
enum class | Relation { ACTIVE_DESCENDANT , COL_COUNT , COL_INDEX , COL_INDEX_TEXT , COL_SPAN , CONTROLS , DESCRIBED_BY , DETAILS , ERROR_MESSAGE , FLOW_TO , LABELLED_BY , OWNS , POS_IN_SET , ROW_COUNT , ROW_INDEX , ROW_INDEX_TEXT , ROW_SPAN , SET_SIZE }
| The possible accessible relations of a `GtkAccessible`. More...
Protected Member Functions inherited from Gtk::Widget
virtual void | root_vfunc ()
virtual void | unroot_vfunc ()
virtual void | size_allocate_vfunc (int width, int height, int baseline)
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | measure_vfunc (Orientation orientation, int for_size, int& minimum, int& natural, int& minimum_baseline, int& natural_baseline) const
virtual bool | grab_focus_vfunc ()
virtual void | set_focus_child_vfunc (Widget* child)
| Sets the focused child of widget. More...
virtual void | compute_expand_vfunc (bool& hexpand_p, bool& vexpand_p)
virtual bool | contains_vfunc (double x, double y) const
virtual void | snapshot_vfunc (const Glib::RefPtr< Gtk::Snapshot >& snapshot)
| Widget ()
void | realize ()
| Creates the GDK resources associated with a widget. More...
void | unrealize ()
| Causes a widget to be unrealized (frees all GDK resources associated with the widget). More...
void | realize_if_needed ()
void | set_focus_child (Widget& child)
| Set child as the current focus child of widget. More...
void | unset_focus_child ()
| Unsets the focus child of the widget. More...
Widget* | get_focus_child ()
| Returns the current focus child of widget. More...
const Widget* | get_focus_child () const
| Returns the current focus child of widget. More...
virtual void | on_show ()
| This is a default handler for the signal signal_show(). More...
virtual void | on_hide ()
| This is a default handler for the signal signal_hide(). More...
virtual void | on_map ()
| This is a default handler for the signal signal_map(). More...
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap(). More...
virtual void | on_realize ()
| This is a default handler for the signal signal_realize(). More...
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize(). More...
virtual void | on_state_flags_changed (Gtk::StateFlags previous_state_flags)
| This is a default handler for the signal signal_state_flags_changed(). More...
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed(). More...
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate(). More...
virtual bool | on_query_tooltip (int x, int y, bool keyboard_tooltip, const Glib::RefPtr< Tooltip >& tooltip)
| This is a default handler for the signal signal_query_tooltip(). More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Accessible
| Accessible ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Gtk::ConstraintTarget
| ConstraintTarget ()
| You should derive from this class to use it. More...

## Detailed Description

Adds scrollbars to its child widget.

This container accepts a single child widget. It adds scrollbars to the child widget and optionally draws a beveled frame around the child widget. The scrolled window can work in two ways:

1. Some widgets have native scrolling support; these widgets handle certain Gtk::Adjustment signals. Widgets with native scroll support include Gtk::TreeView, Gtk::TextView, and Gtk::Layout.
2. For widgets that lack native scrolling support, such as Gtk::Grid, Gtk::Box, and so on, the widget will be placed inside a Gtk::Viewport.

The position of the scrollbars is controlled by the scroll adjustments. See Gtk::Adjustment for the fields in an adjustment - for Gtk::Scrollbar, used by Gtk::ScrolledWindow, the "value" field represents the position of the scrollbar, which must be between the "lower" field and "upper - page_size." The "page_size" field represents the size of the visible scrollable area. The "step_increment" and "page_increment" fields are used when the user asks to step down (using the small stepper arrows) or page down (using for example the PageDown key).

If a Gtk::ScrolledWindow doesn't behave quite as you would like, or doesn't have exactly the right layout, it's very possible to set up your own scrolling with Gtk::Scrollbar and, for example, a Gtk::Grid.

## Constructor & Destructor Documentation

## ◆ ScrolledWindow() [1/3]

Gtk::ScrolledWindow::ScrolledWindow | ( | ScrolledWindow&& | src | ) |
| noexcept

## ◆ ScrolledWindow() [2/3]

Gtk::ScrolledWindow::ScrolledWindow | ( | const ScrolledWindow& |  | ) |
| delete

## ◆ ~ScrolledWindow()

Gtk::ScrolledWindow::~ScrolledWindow | ( |  | ) |
| overridenoexcept

## ◆ ScrolledWindow() [3/3]

Gtk::ScrolledWindow::ScrolledWindow | ( |  | ) |

## Member Function Documentation

## ◆ get_child() [1/2]

Widget* Gtk::ScrolledWindow::get_child | ( |  | ) |

Gets the child widget of scrolled_window.

Returns
  The child widget of scrolled_window.

## ◆ get_child() [2/2]

const Widget* Gtk::ScrolledWindow::get_child | ( |  | ) | const

Gets the child widget of scrolled_window.

Returns
  The child widget of scrolled_window.

## ◆ get_hadjustment() [1/2]

Glib::RefPtr<Adjustment> Gtk::ScrolledWindow::get_hadjustment | ( |  | ) |

Returns the horizontal scrollbar’s adjustment.

This is the adjustment used to connect the horizontal scrollbar to the child widget’s horizontal scroll functionality.

Returns
  The horizontal `GtkAdjustment`.

## ◆ get_hadjustment() [2/2]

Glib::RefPtr<const Adjustment> Gtk::ScrolledWindow::get_hadjustment | ( |  | ) | const

Returns the horizontal scrollbar’s adjustment.

This is the adjustment used to connect the horizontal scrollbar to the child widget’s horizontal scroll functionality.

Returns
  The horizontal `GtkAdjustment`.

## ◆ get_has_frame()

bool Gtk::ScrolledWindow::get_has_frame | ( |  | ) | const

Gets whether the scrolled window draws a frame.

Returns
  `true` if the scrolled_window has a frame.

## ◆ get_hscrollbar() [1/2]

Scrollbar* Gtk::ScrolledWindow::get_hscrollbar | ( |  | ) |

Returns the horizontal scrollbar of scrolled_window.

Returns
  The horizontal scrollbar of the scrolled window.

## ◆ get_hscrollbar() [2/2]

const Scrollbar* Gtk::ScrolledWindow::get_hscrollbar | ( |  | ) | const

Returns the horizontal scrollbar of scrolled_window.

Returns
  The horizontal scrollbar of the scrolled window.

## ◆ get_kinetic_scrolling()

bool Gtk::ScrolledWindow::get_kinetic_scrolling | ( |  | ) | const

Returns the specified kinetic scrolling behavior.

Returns
  The scrolling behavior flags.

## ◆ get_max_content_height()

int Gtk::ScrolledWindow::get_max_content_height | ( |  | ) | const

Returns the maximum content height set.

Returns
  The maximum content height, or -1.

## ◆ get_max_content_width()

int Gtk::ScrolledWindow::get_max_content_width | ( |  | ) | const

Returns the maximum content width set.

Returns
  The maximum content width, or -1.

## ◆ get_min_content_height()

int Gtk::ScrolledWindow::get_min_content_height | ( |  | ) | const

Gets the minimal content height of scrolled_window.

Returns
  The minimal content height.

## ◆ get_min_content_width()

int Gtk::ScrolledWindow::get_min_content_width | ( |  | ) | const

Gets the minimum content width of scrolled_window.

Returns
  The minimum content width.

## ◆ get_overlay_scrolling()

bool Gtk::ScrolledWindow::get_overlay_scrolling | ( |  | ) | const

Returns whether overlay scrolling is enabled for this scrolled window.

Returns
  `true` if overlay scrolling is enabled.

## ◆ get_placement()

CornerType Gtk::ScrolledWindow::get_placement | ( |  | ) | const

Gets the placement of the contents with respect to the scrollbars.

Returns
  The current placement value.

## ◆ get_policy()

void Gtk::ScrolledWindow::get_policy | ( | PolicyType& | hscrollbar_policy,
|  | PolicyType& | vscrollbar_policy
| ) |  | const

Retrieves the current policy values for the horizontal and vertical scrollbars.

See [method Gtk.ScrolledWindow.set_policy].

Parameters

  hscrollbar_policy | Location to store the policy for the horizontal scrollbar, or `nullptr`.
  vscrollbar_policy | Location to store the policy for the vertical scrollbar, or `nullptr`.

## ◆ get_propagate_natural_height()

bool Gtk::ScrolledWindow::get_propagate_natural_height | ( |  | ) | const

Reports whether the natural height of the child will be calculated and propagated through the scrolled window’s requested natural height.

Returns
  Whether natural height propagation is enabled.

## ◆ get_propagate_natural_width()

bool Gtk::ScrolledWindow::get_propagate_natural_width | ( |  | ) | const

Reports whether the natural width of the child will be calculated and propagated through the scrolled window’s requested natural width.

Returns
  Whether natural width propagation is enabled.

## ◆ get_type()

static GType Gtk::ScrolledWindow::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_vadjustment() [1/2]

Glib::RefPtr<Adjustment> Gtk::ScrolledWindow::get_vadjustment | ( |  | ) |

Returns the vertical scrollbar’s adjustment.

This is the adjustment used to connect the vertical scrollbar to the child widget’s vertical scroll functionality.

Returns
  The vertical `GtkAdjustment`.

## ◆ get_vadjustment() [2/2]

Glib::RefPtr<const Adjustment> Gtk::ScrolledWindow::get_vadjustment | ( |  | ) | const

Returns the vertical scrollbar’s adjustment.

This is the adjustment used to connect the vertical scrollbar to the child widget’s vertical scroll functionality.

Returns
  The vertical `GtkAdjustment`.

## ◆ get_vscrollbar() [1/2]

Scrollbar* Gtk::ScrolledWindow::get_vscrollbar | ( |  | ) |

Returns the vertical scrollbar of scrolled_window.

Returns
  The vertical scrollbar of the scrolled window.

## ◆ get_vscrollbar() [2/2]

const Scrollbar* Gtk::ScrolledWindow::get_vscrollbar | ( |  | ) | const

Returns the vertical scrollbar of scrolled_window.

Returns
  The vertical scrollbar of the scrolled window.

## ◆ gobj() [1/2]

GtkScrolledWindow* Gtk::ScrolledWindow::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkScrolledWindow* Gtk::ScrolledWindow::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=() [1/2]

ScrolledWindow& Gtk::ScrolledWindow::operator= | ( | const ScrolledWindow& |  | ) |
| delete

## ◆ operator=() [2/2]

ScrolledWindow& Gtk::ScrolledWindow::operator= | ( | ScrolledWindow&& | src | ) |
| noexcept

## ◆ property_child() [1/2]

Glib::PropertyProxy< Widget* > Gtk::ScrolledWindow::property_child | ( |  | ) |

The child widget.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_child() [2/2]

Glib::PropertyProxy_ReadOnly< Widget* > Gtk::ScrolledWindow::property_child | ( |  | ) | const

The child widget.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_hadjustment() [1/2]

Glib::PropertyProxy< Glib::RefPtr<Adjustment> > Gtk::ScrolledWindow::property_hadjustment | ( |  | ) |

The GtkAdjustment for the horizontal position.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_hadjustment() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Adjustment> > Gtk::ScrolledWindow::property_hadjustment | ( |  | ) | const

The GtkAdjustment for the horizontal position.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_frame() [1/2]

Glib::PropertyProxy< bool > Gtk::ScrolledWindow::property_has_frame | ( |  | ) |

Whether to draw a frame around the contents.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_frame() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::ScrolledWindow::property_has_frame | ( |  | ) | const

Whether to draw a frame around the contents.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_hscrollbar_policy() [1/2]

Glib::PropertyProxy< PolicyType > Gtk::ScrolledWindow::property_hscrollbar_policy | ( |  | ) |

When the horizontal scrollbar is displayed.

Use [method Gtk.ScrolledWindow.set_policy] to set this property.

Default value: Gtk::PolicyType::AUTOMATIC

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_hscrollbar_policy() [2/2]

Glib::PropertyProxy_ReadOnly< PolicyType > Gtk::ScrolledWindow::property_hscrollbar_policy | ( |  | ) | const

When the horizontal scrollbar is displayed.

Use [method Gtk.ScrolledWindow.set_policy] to set this property.

Default value: Gtk::PolicyType::AUTOMATIC

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_kinetic_scrolling() [1/2]

Glib::PropertyProxy< bool > Gtk::ScrolledWindow::property_kinetic_scrolling | ( |  | ) |

Whether kinetic scrolling is enabled or not.

Kinetic scrolling only applies to devices with source Gdk::InputSource::TOUCHSCREEN.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_kinetic_scrolling() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::ScrolledWindow::property_kinetic_scrolling | ( |  | ) | const

Whether kinetic scrolling is enabled or not.

Kinetic scrolling only applies to devices with source Gdk::InputSource::TOUCHSCREEN.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_content_height() [1/2]

Glib::PropertyProxy< int > Gtk::ScrolledWindow::property_max_content_height | ( |  | ) |

The maximum content height of scrolled_window.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_content_height() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::ScrolledWindow::property_max_content_height | ( |  | ) | const

The maximum content height of scrolled_window.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_content_width() [1/2]

Glib::PropertyProxy< int > Gtk::ScrolledWindow::property_max_content_width | ( |  | ) |

The maximum content width of scrolled_window.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_content_width() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::ScrolledWindow::property_max_content_width | ( |  | ) | const

The maximum content width of scrolled_window.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_min_content_height() [1/2]

Glib::PropertyProxy< int > Gtk::ScrolledWindow::property_min_content_height | ( |  | ) |

The minimum content height of scrolled_window.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_min_content_height() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::ScrolledWindow::property_min_content_height | ( |  | ) | const

The minimum content height of scrolled_window.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_min_content_width() [1/2]

Glib::PropertyProxy< int > Gtk::ScrolledWindow::property_min_content_width | ( |  | ) |

The minimum content width of scrolled_window.

Default value: -1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_min_content_width() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::ScrolledWindow::property_min_content_width | ( |  | ) | const

The minimum content width of scrolled_window.

Default value: -1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_overlay_scrolling() [1/2]

Glib::PropertyProxy< bool > Gtk::ScrolledWindow::property_overlay_scrolling | ( |  | ) |

Whether overlay scrolling is enabled or not.

If it is, the scrollbars are only added as traditional widgets when a mouse is present. Otherwise, they are overlaid on top of the content, as narrow indicators.

Note that overlay scrolling can also be globally disabled, with the [property Gtk.Settings:gtk-overlay-scrolling] setting.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_overlay_scrolling() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::ScrolledWindow::property_overlay_scrolling | ( |  | ) | const

Whether overlay scrolling is enabled or not.

If it is, the scrollbars are only added as traditional widgets when a mouse is present. Otherwise, they are overlaid on top of the content, as narrow indicators.

Note that overlay scrolling can also be globally disabled, with the [property Gtk.Settings:gtk-overlay-scrolling] setting.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_propagate_natural_height() [1/2]

Glib::PropertyProxy< bool > Gtk::ScrolledWindow::property_propagate_natural_height | ( |  | ) |

Whether the natural height of the child should be calculated and propagated through the scrolled window’s requested natural height.

This is useful in cases where an attempt should be made to allocate exactly enough space for the natural size of the child.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_propagate_natural_height() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::ScrolledWindow::property_propagate_natural_height | ( |  | ) | const

Whether the natural height of the child should be calculated and propagated through the scrolled window’s requested natural height.

This is useful in cases where an attempt should be made to allocate exactly enough space for the natural size of the child.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_propagate_natural_width() [1/2]

Glib::PropertyProxy< bool > Gtk::ScrolledWindow::property_propagate_natural_width | ( |  | ) |

Whether the natural width of the child should be calculated and propagated through the scrolled window’s requested natural width.

This is useful in cases where an attempt should be made to allocate exactly enough space for the natural size of the child.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_propagate_natural_width() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::ScrolledWindow::property_propagate_natural_width | ( |  | ) | const

Whether the natural width of the child should be calculated and propagated through the scrolled window’s requested natural width.

This is useful in cases where an attempt should be made to allocate exactly enough space for the natural size of the child.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_vadjustment() [1/2]

Glib::PropertyProxy< Glib::RefPtr<Adjustment> > Gtk::ScrolledWindow::property_vadjustment | ( |  | ) |

The GtkAdjustment for the vertical position.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_vadjustment() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Adjustment> > Gtk::ScrolledWindow::property_vadjustment | ( |  | ) | const

The GtkAdjustment for the vertical position.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_vscrollbar_policy() [1/2]

Glib::PropertyProxy< PolicyType > Gtk::ScrolledWindow::property_vscrollbar_policy | ( |  | ) |

When the vertical scrollbar is displayed.

Use [method Gtk.ScrolledWindow.set_policy] to set this property.

Default value: Gtk::PolicyType::AUTOMATIC

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_vscrollbar_policy() [2/2]

Glib::PropertyProxy_ReadOnly< PolicyType > Gtk::ScrolledWindow::property_vscrollbar_policy | ( |  | ) | const

When the vertical scrollbar is displayed.

Use [method Gtk.ScrolledWindow.set_policy] to set this property.

Default value: Gtk::PolicyType::AUTOMATIC

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_window_placement() [1/2]

Glib::PropertyProxy< CornerType > Gtk::ScrolledWindow::property_window_placement | ( |  | ) |

Where the contents are located with respect to the scrollbars.

Default value: Gtk::CornerType::TOP_LEFT

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_window_placement() [2/2]

Glib::PropertyProxy_ReadOnly< CornerType > Gtk::ScrolledWindow::property_window_placement | ( |  | ) | const

Where the contents are located with respect to the scrollbars.

Default value: Gtk::CornerType::TOP_LEFT

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_child()

void Gtk::ScrolledWindow::set_child | ( | Widget& | child | ) |

Sets the child widget of scrolled_window.

Parameters

  child | The child widget.

## ◆ set_hadjustment()

void Gtk::ScrolledWindow::set_hadjustment | ( | const Glib::RefPtr< Adjustment >& | hadjustment | ) |

Sets the `GtkAdjustment` for the horizontal scrollbar.

Parameters

  hadjustment | The `GtkAdjustment` to use, or `nullptr` to create a new one.

## ◆ set_has_frame()

void Gtk::ScrolledWindow::set_has_frame | ( | bool | has_frame = `true` | ) |

Changes the frame drawn around the contents of scrolled_window.

Parameters

  has_frame | Whether to draw a frame around scrolled window contents.

## ◆ set_kinetic_scrolling()

void Gtk::ScrolledWindow::set_kinetic_scrolling | ( | bool | kinetic_scrolling = `true` | ) |

Turns kinetic scrolling on or off.

Kinetic scrolling only applies to devices with source Gdk::InputSource::TOUCHSCREEN.

Parameters

  kinetic_scrolling | `true` to enable kinetic scrolling.

## ◆ set_max_content_height()

void Gtk::ScrolledWindow::set_max_content_height | ( | int | height | ) |

Sets the maximum height that scrolled_window should keep visible.

The scrolled_window will grow up to this height before it starts scrolling the content.

It is a programming error to set the maximum content height to a value smaller than [property Gtk.ScrolledWindow:min-content-height].

Parameters

  height | The maximum content height.

## ◆ set_max_content_width()

void Gtk::ScrolledWindow::set_max_content_width | ( | int | width | ) |

Sets the maximum width that scrolled_window should keep visible.

The scrolled_window will grow up to this width before it starts scrolling the content.

It is a programming error to set the maximum content width to a value smaller than [property Gtk.ScrolledWindow:min-content-width].

Parameters

  width | The maximum content width.

## ◆ set_min_content_height()

void Gtk::ScrolledWindow::set_min_content_height | ( | int | height | ) |

Sets the minimum height that scrolled_window should keep visible.

Note that this can and (usually will) be smaller than the minimum size of the content.

It is a programming error to set the minimum content height to a value greater than [property Gtk.ScrolledWindow:max-content-height].

Parameters

  height | The minimal content height.

## ◆ set_min_content_width()

void Gtk::ScrolledWindow::set_min_content_width | ( | int | width | ) |

Sets the minimum width that scrolled_window should keep visible.

Note that this can and (usually will) be smaller than the minimum size of the content.

It is a programming error to set the minimum content width to a value greater than [property Gtk.ScrolledWindow:max-content-width].

Parameters

  width | The minimal content width.

## ◆ set_overlay_scrolling()

void Gtk::ScrolledWindow::set_overlay_scrolling | ( | bool | overlay_scrolling = `true` | ) |

Enables or disables overlay scrolling for this scrolled window.

Parameters

  overlay_scrolling | Whether to enable overlay scrolling.

## ◆ set_placement()

void Gtk::ScrolledWindow::set_placement | ( | CornerType | window_placement | ) |

Sets the placement of the contents with respect to the scrollbars for the scrolled window.

The default is Gtk::CornerType::TOP_LEFT, meaning the child is in the top left, with the scrollbars underneath and to the right. Other values in [enum Gtk.CornerType] are Gtk::CornerType::TOP_RIGHT, Gtk::CornerType::BOTTOM_LEFT, and Gtk::CornerType::BOTTOM_RIGHT.

See also [method Gtk.ScrolledWindow.get_placement] and [method Gtk.ScrolledWindow.unset_placement].

Parameters

  window_placement | Position of the child window.

## ◆ set_policy()

void Gtk::ScrolledWindow::set_policy | ( | PolicyType | hscrollbar_policy,
|  | PolicyType | vscrollbar_policy
| ) |  |

Sets the scrollbar policy for the horizontal and vertical scrollbars.

The policy determines when the scrollbar should appear; it is a value from the [enum Gtk.PolicyType] enumeration. If Gtk::PolicyType::ALWAYS, the scrollbar is always present; if Gtk::PolicyType::NEVER, the scrollbar is never present; if Gtk::PolicyType::AUTOMATIC, the scrollbar is present only if needed (that is, if the slider part of the bar would be smaller than the trough — the display is larger than the page size).

Parameters

  hscrollbar_policy | Policy for horizontal bar.
  vscrollbar_policy | Policy for vertical bar.

## ◆ set_propagate_natural_height()

void Gtk::ScrolledWindow::set_propagate_natural_height | ( | bool | propagate = `true` | ) |

Sets whether the natural height of the child should be calculated and propagated through the scrolled window’s requested natural height.

Parameters

  propagate | Whether to propagate natural height.

## ◆ set_propagate_natural_width()

void Gtk::ScrolledWindow::set_propagate_natural_width | ( | bool | propagate = `true` | ) |

Sets whether the natural width of the child should be calculated and propagated through the scrolled window’s requested natural width.

Parameters

  propagate | Whether to propagate natural width.

## ◆ set_vadjustment()

void Gtk::ScrolledWindow::set_vadjustment | ( | const Glib::RefPtr< Adjustment >& | vadjustment | ) |

Sets the `GtkAdjustment` for the vertical scrollbar.

Parameters

  vadjustment | The `GtkAdjustment` to use, or `nullptr` to create a new one.

## ◆ signal_edge_overshot()

Glib::SignalProxy<void(Gtk::PositionType)> Gtk::ScrolledWindow::signal_edge_overshot | ( |  | ) |

Slot Prototype:
  `void on_my_edge_overshot(Gtk::PositionType pos)`

Flags: Run Last

Emitted whenever user initiated scrolling makes the scrolled window firmly surpass the limits defined by the adjustment in that orientation.

A similar behavior without edge resistance is provided by the [signal Gtk.ScrolledWindow::edge-reached] signal.

Note
  The pos argument is LTR/RTL aware, so callers should be aware too if intending to provide behavior on horizontal edges.

Parameters

  pos | Edge side that was hit.

## ◆ signal_edge_reached()

Glib::SignalProxy<void(Gtk::PositionType)> Gtk::ScrolledWindow::signal_edge_reached | ( |  | ) |

Slot Prototype:
  `void on_my_edge_reached(Gtk::PositionType pos)`

Flags: Run Last

Emitted whenever user-initiated scrolling makes the scrolled window exactly reach the lower or upper limits defined by the adjustment in that orientation.

A similar behavior with edge resistance is provided by the [signal Gtk.ScrolledWindow::edge-overshot] signal.

Note
  The pos argument is LTR/RTL aware, so callers should be aware too if intending to provide behavior on horizontal edges.

Parameters

  pos | Edge side that was reached.

## ◆ unset_child()

void Gtk::ScrolledWindow::unset_child | ( |  | ) |

## ◆ unset_placement()

void Gtk::ScrolledWindow::unset_placement | ( |  | ) |

Unsets the placement of the contents with respect to the scrollbars.

If no window placement is set for a scrolled window, it defaults to Gtk::CornerType::TOP_LEFT.

## Friends And Related Function Documentation

## ◆ wrap()

Gtk::ScrolledWindow* wrap | ( | GtkScrolledWindow * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.